Bug 445788 - nm-connection-editor crash when apply settings
nm-connection-editor crash when apply settings
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 03:02 EDT by Samuele Farfarini
Modified: 2008-11-05 08:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 08:16:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash log (311.22 KB, text/plain)
2008-05-09 03:02 EDT, Samuele Farfarini
no flags Details

  None (edit)
Description Samuele Farfarini 2008-05-09 03:02:01 EDT
Description of problem:

When using nm-connection-editor to change settings of my wifi connection and
apply the application crash.
Wired connections are not affected by this problem.

Version-Release number of selected component (if applicable):

NetworkManager-0.7.0-0.9.3.svn3623.fc9.i386
NetworkManager-glib-0.7.0-0.9.3.svn3623.fc9.i386
NetworkManager-gnome-0.7.0-0.9.3.svn3623.fc9.i386

How reproducible:

Just using the applet and modify a connection

Steps to Reproduce:
1. Right click on the applet, select Edit Connection
2. Select Wifi connection, and modify a connection (or create a new one, is the
same)
3. modify essid, add a manual configuration for the ip settings, change dns (i
changed essid to "casa", ip to "192.168.1.57 - 255.255.255.0 - 192.168.1.101,
dns to "212.216.112.112" and leaved search domain blank)
4. click OK button
  
Actual results:

The program crash without applying any setting.

Expected results:

Window will close and settings will be applied and usable.

Additional info:

Bug reproduced on an ipw2100 interface, fresh install of fedora-preview updated
today with yum.
also gnome has produced a crash log, so i can attach it :)
Comment 1 Samuele Farfarini 2008-05-09 03:02:01 EDT
Created attachment 304925 [details]
crash log
Comment 2 Bug Zapper 2008-05-14 06:53:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Dan Williams 2008-11-02 16:58:23 EST
Is this still an issue with latest f8 and f9 updates (svn4022 or later)?
Comment 4 Samuele Farfarini 2008-11-05 03:13:09 EST
With those packages,

[samuele@Fedora ~]$ rpm -qa | grep NetworkManager
NetworkManager-glib-0.7.0-0.11.svn4022.4.fc9.i386
NetworkManager-gnome-0.7.0-0.11.svn4022.4.fc9.i386
NetworkManager-0.7.0-0.11.svn4022.4.fc9.i386
NetworkManager-vpnc-0.7.0-0.10.svn4024.fc9.i386
NetworkManager-openvpn-0.7.0-16.svn4027.fc9.i386

all works fine for me :)
I have also modified additional camps and Routes, but still no crashes.
Comment 5 Dan Williams 2008-11-05 08:16:55 EST
Ok, thanks!

Note You need to log in before you can comment on or make changes to this bug.